<?php //gestionalumnos.php Creado el 07/04/2010

if (isset($_GET["accion"])) {
    $accion= $_GET["accion"];
	if ($accion == "borraralumno") { borraralumno($id); }
	elseif ($accion == "editaralumno") { editaralumno($id); }
    else { alumnos(); }
	}
else { alumnos();}


function alumnos()
	{
		$query=mysql_query("SELECT * FROM alumno");
	while ($extraigo=mysql_fetch_assoc($query)) 
		{ 
		$id=$extraigo['cod_alumno'];
			echo "<ul>
					<li><a href='index_profesor.php?opcion=gestionalumnos&accion=editaralumno&id=".$id."'>".$id."</a></li>
					<li>".$extraigo['usuario']."</li>
					<li>".$extraigo['nombre']."</li>
					<li>".$extraigo['apellido1']."</li>
					<li>".$extraigo['apellido2']."</li>
					<li>".$extraigo['dni']."</li>
					<li>".$extraigo['direccion']."</li>
					<li>".$extraigo['telefono']."</li>
					<li><a href='index_profesor.php?opcion=gestionalumnos&accion=borraralumno&id=".$id."'>Borrar alumno</a></li>

				</ul><br>"; 
				}
	
	}

function editaralumno($id) 
	{
	
	if(isset($_POST['actualizar']))
		{
			$id=$_GET['id'];
			extract($_POST);
			$query = mysql_query("Update alumno SET 
			usuario='$usuario',nombre='$nombre',apellido1='$apellido1',apellido2='$apellido2', dni='$dni',direccion='$direccion',telefono='$telefono'
			where cod_alumno=".$id."") or die(mysql_error());
			header('location: index_profesor.php?opcion=gestionalumnos');
		}
	else
		{
			$id=$_GET['id'];
			$edito=mysql_query("SELECT * FROM alumno where cod_alumno=".$id."");
			$extraigo=mysql_fetch_assoc($edito);
			echo "Estas editando la pregunta con codigo ".$id."<br>
			<form action='index_profesor.php?opcion=gestionalumnos&accion=editaralumno&id=$id' method=post>
			Usuario:<input type='text' name='usuario' value='".$extraigo['usuario']."'><br>
			Nombre :<input type='text' name='nombre' value='".$extraigo['nombre']."'><br>
			Primer Apellido:<input type='text' name='apellido1' value='".$extraigo['apellido1']."'><br>
			Segundo Apellido:<input type='text' name='apellido2' value='".$extraigo['apellido2']."'><br>
			DNI:<input type='text' name='dni' value='".$extraigo['dni']."'><br>
			Direcci&oacute;n<input type='text' name='direccion' value='".$extraigo['direccion']."'><br>
			Telefono<input type='text' name='telefono' value='".$extraigo['telefono']."'><br>
			<input type='submit' name='actualizar' value='Enviar'></form>";
		}
	}	
function borraralumno($id)
{
$id=$_GET['id'];
$query = mysql_query("Delete from alumno where cod_alumno=".$id."") or die(mysql_error());
header('location: index_profesor.php?opcion=gestionalumnos');
}

?>